DL_Keys_DSA Struct Reference

DSA keys. More...

`#include <gfpcrypt.h>`

Inheritance diagram for DL_Keys_DSA:

## Public Types

typedef DL_PublicKey_GFP< DL_GroupParameters_DSA > | PublicKey
typedef DL_PrivateKey_WithSignaturePairwiseConsistencyTest< DL_PrivateKey_GFP< DL_GroupParameters_DSA >, DSA2< SHA1 > > | PrivateKey

## Detailed Description

DSA keys.

See also
  DL_GroupParameters_DSA

Since
  Crypto++ 1.0

Definition at line 794 of file gfpcrypt.h.

## Member Typedef Documentation

## PublicKey

typedef DL_PublicKey_GFP<DL_GroupParameters_DSA> DL_Keys_DSA::PublicKey

Definition at line 796 of file gfpcrypt.h.

## PrivateKey

typedef DL_PrivateKey_WithSignaturePairwiseConsistencyTest<DL_PrivateKey_GFP<DL_GroupParameters_DSA>, DSA2<SHA1> > DL_Keys_DSA::PrivateKey

Definition at line 797 of file gfpcrypt.h.

The documentation for this struct was generated from the following file:

- gfpcrypt.h